[MIR] jansi

Bug #676904 reported by James Page on 2010-11-18
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
hawtjni (Ubuntu)
Medium
Unassigned
jansi (Ubuntu)
Medium
Unassigned
jansi-native (Ubuntu)
Medium
Unassigned

Bug Description

Rationale:

In order to support the sync of groovy 1.7.4-1 from Debian the following moves from universe into main are required as they are new build dependencies:

   jansi -> jansi-native -> hawtjni

These have been packaged in Debian to support this upgrade and are all new packages in unstable only as a result.

Lintian Warnings:

W: libhawtjni-runtime-java: copyright-refers-to-versionless-license-file usr/share/common-licenses/GPL

Test Enablement:

Note that all three packages use javahelper

jansi: tests exist and are enabled
jansi-native: no test suite.
hawtjni: no test suite.

James Page (james-page) on 2010-11-18
Changed in jansi (Ubuntu):
assignee: nobody → James Page (james-page)
importance: Undecided → Medium
milestone: none → natty-alpha-1
status: New → In Progress
milestone: natty-alpha-1 → none
James Page (james-page) on 2010-11-18
Changed in jansi (Ubuntu):
status: In Progress → New
Changed in hawtjni (Ubuntu):
importance: Undecided → Medium
Changed in jansi-native (Ubuntu):
importance: Undecided → Medium
James Page (james-page) on 2010-11-18
description: updated
James Page (james-page) on 2010-11-19
Changed in jansi (Ubuntu):
status: New → Confirmed
status: Confirmed → New
assignee: James Page (james-page) → nobody
James Page (james-page) on 2010-11-29
Changed in jansi (Ubuntu):
status: New → Confirmed
Changed in jansi-native (Ubuntu):
status: New → Confirmed
Changed in hawtjni (Ubuntu):
status: New → Confirmed
Miguel Landaeta (nomadium) wrote :

These packages should be included in main to finally sync with Groovy 1.7.4-1 from Debian, isn't?

Miguel Landaeta (nomadium) wrote :

If the lack of testing for jansi is too worrisome for inclusion in main, I already commit some changes to enable their unit tests in a future Debian upload. The patch is attached and also it can be reviewed at http://git.debian.org/?p=pkg-java/jansi.git;a=commitdiff;h=e3a27ef9dd6ee44be10ed3e5c459e0b8fa62231e.

James Page (james-page) wrote :

@Miguel - thanks for the patch - I've raised this under bug 697147 for application in Ubuntu and will request a manual sync once the same changes are release in Debian.

James Page (james-page) wrote :

@Miguel - if possible I would prefer to sync this change from Debian; any idea on when this change might get released?

Miguel Landaeta (nomadium) wrote :

@James Well, Debian is in deep freeze. Hopefully squeeze will be released this month and I could get this uploaded maybe on February. I'm not a DD (or DM) so I have to nag my sponsors to get this uploaded and I don't expect new uploads to unstable during this month.

James Page (james-page) wrote :

Test suite has now been enabled under bug 697147.

Please could the MIR team review this bug for approval now?

James Page (james-page) on 2011-01-12
description: updated
Artur Rona (ari-tczew) wrote :

Any news on it?

James Page (james-page) on 2011-02-23
Changed in jansi-native (Ubuntu):
milestone: none → natty-alpha-3
Changed in jansi (Ubuntu):
milestone: none → natty-alpha-3
Changed in hawtjni (Ubuntu):
milestone: none → natty-alpha-3
Michael Terry (mterry) wrote :

jansi itself looks fine.

Changed in jansi (Ubuntu):
status: Confirmed → Fix Committed
Michael Terry (mterry) wrote :

Packaging looks fine, but I'd like to see an Ubuntu bug subscriber (non-blocker) and I'm passing to security team for a quick security look as JNI sounded like it may have security implications.

Changed in hawtjni (Ubuntu):
assignee: nobody → Ubuntu Security Team (ubuntu-security)
Michael Terry (mterry) wrote :

jansi-native seems fine. Approved, though again, I'd like to see an Ubuntu bug subscriber.

Changed in jansi-native (Ubuntu):
status: Confirmed → Fix Committed
Kees Cook (kees) wrote :

Nothing jumps out at me security-wise, though it's a bit hard to follow. :) Packaging looks fine. +1 on hawtjni.

Changed in hawtjni (Ubuntu):
assignee: Ubuntu Security Team (ubuntu-security) → nobody
status: Confirmed → In Progress
Matthias Klose (doko) wrote :

2011-03-01 19:46:07 INFO Override Component to: 'main'
2011-03-01 19:46:16 INFO 'jansi - 1.4-1ubuntu1/universe/java' source overridden
2011-03-01 19:46:16 INFO 'libjansi-java-1.4-1ubuntu1/universe/java/OPTIONAL' binary overridden in natty/amd64
2011-03-01 19:46:16 INFO 'libjansi-java-1.4-1ubuntu1/universe/java/OPTIONAL' binary overridden in natty/armel
2011-03-01 19:46:16 INFO 'libjansi-java-1.4-1ubuntu1/universe/java/OPTIONAL' binary overridden in natty/i386
2011-03-01 19:46:16 INFO 'libjansi-java-1.4-1ubuntu1/universe/java/OPTIONAL' binary overridden in natty/powerpc
2011-03-01 19:46:16 INFO 'jansi-native - 1.0-1/universe/java' source overridden
2011-03-01 19:46:17 INFO 'libjansi-native-java-1.0-1/universe/java/OPTIONAL' binary overridden in natty/amd64
2011-03-01 19:46:17 INFO 'libjansi-native-java-1.0-1/universe/java/OPTIONAL' binary overridden in natty/armel
2011-03-01 19:46:17 INFO 'libjansi-native-java-1.0-1/universe/java/OPTIONAL' binary overridden in natty/i386
2011-03-01 19:46:17 INFO 'libjansi-native-java-1.0-1/universe/java/OPTIONAL' binary overridden in natty/powerpc
2011-03-01 19:46:17 INFO 'hawtjni - 1.0~+git0c502e20c4-1/universe/java' source overridden
2011-03-01 19:46:17 INFO 'libhawtjni-runtime-java-1.0~+git0c502e20c4-1/universe/java/OPTIONAL' binary overridden in natty/amd64
2011-03-01 19:46:17 INFO 'libhawtjni-runtime-java-1.0~+git0c502e20c4-1/universe/java/OPTIONAL' binary overridden in natty/armel
2011-03-01 19:46:17 INFO 'libhawtjni-runtime-java-1.0~+git0c502e20c4-1/universe/java/OPTIONAL' binary overridden in natty/i386
2011-03-01 19:46:17 INFO 'libhawtjni-runtime-java-1.0~+git0c502e20c4-1/universe/java/OPTIONAL' binary overridden in natty/powerpc

Changed in hawtjni (Ubuntu):
status: In Progress → Fix Released
Changed in jansi (Ubuntu):
status: Fix Committed → Fix Released
Changed in jansi-native (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers